Subject: Re: [bug#70693] [PATCH v2] gnu: nss/fixed: Tweak performance test.

From: Christopher Baines <[email-masked]>
Date: Thu, 09 May 2024 15:52:07 +0100

Ludovic Courtès <[email-masked]> writes:

> Christopher Baines <[email-masked]> skribis:
>
>> I don't think that necessarily means that patch hasn't worked, it's just
>> that we needed to build nss (because grafts, see #61363) to compute the
>> guix derivation for each system. As Ludo pointed out to me on IRC
>> though, that can probably be avoided so I've sent a v2 series that
>> includes a couple of patches to remove the link between guix and nss via
>> packages needed for the po4a tests.
>
> It would still make sense to apply the initial patch here, IMO.

Personally I'm waiting for QA to build things since I want to see if
this does fix nss on the 4 systems it's currently broken on, and so that
there's substitutes available if and when this is merged.

The large number of builds recently on the master branch might delay
this though.

> Also, we could create an ‘nss-upgrade’ branch to remove the graft and
> upgrade ‘nss’, also applying the reproducibility patches that Christina
> posted.
>
> WDYT?

I don't mind, if it doesn't happen on core-updates then that seems like
an OK approach.